#!/bin/sh

# Unzip openjdk source zip
unzip -q $@

# Remove idl sources with questionable license headers
rm -f openjdk/j2se/src/share/classes/com/sun/tools/corba/se/idl/grammar.idl openjdk/j2se/src/share/classes/com/sun/tools/corba/se/idl/first.set openjdk/j2se/src/share/classes/com/sun/tools/corba/se/idl/grammar3.idl openjdk/j2se/src/share/classes/com/sun/tools/corba/se/idl/follow.set

# Remove jhat sources. Most have questionable license headers
rm -rf openjdk/j2se/src/share/classes/com/sun/tools/hat/* openjdk/j2se/make/sun/jhat/Makefile
patch -p0 < `pwd`/../patches/jhat.patch

# Create new zip with new name
NEW_ZIP=`echo $@ | sed -e 's/\.zip/-fedora.zip/'`
zip -rq $NEW_ZIP openjdk/

# Remove old unzipped openjdk dir
rm -rf openjdk/

